Gda.DbTable – Gda-6.0 Reference Manual

# DbTable

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_db_table_get_type ()" ) ]
public class DbTable : DbBase, DbBuildable, DdlModifiable
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public string comment { owned get; set; }
- public string istemp { owned get; set; }

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- public DbTable ()

### Methods:

- public void append_column (DbColumn column)
- public void append_constraint (string constr)
- public void append_fkey (DbFkey fkey)
- public unowned List<DbColumn> get_columns ()
- public unowned List<DbFkey> get_fkeys ()
- public bool get_is_temp ()
- public bool is_valid ()
- public bool prepare_create (ServerOperation op, bool ifnotexists) throws Error
- public void set_is_temp (bool istemp)
- public bool update (MetaTable obj, Connection cnc) throws Error

### Inherited Members:

All known members inherited from class Gda.DbBase

- compare
- get_catalog
- get_full_name

- get_name
- get_schema
- set_catalog

- set_name
- set_names
- set_schema

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Gda.DbBuildable

- parse_node

- write_node

All known members inherited from interface Gda.DdlModifiable

- create
- drop

- error_quark

- rename